%define	name	ephoto
%define	version 2.15.0
%define release %mkrel 5

%define major 0
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} %major -d

Summary: 	Enlightenment photo manager
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Graphics
URL: 		http://get-e.org/
Source: 	%{name}-%{version}.tar.bz2
Source1:	%name.desktop
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	evas-devel >= 0.9.9.038, ewl-devel >= 0.5.1.008 
Buildrequires:  epsilon-devel >= 0.3.0.008, emotion-devel >= 0.0.1.005
BuildRequires:	ecore-devel >= 0.9.9.038, edje-devel >= 0.5.0.038,  edje >= 0.5.0.038
BuildRequires:	%{mklibname sqlite3_0}-devel, %{mklibname exif-gtk5}-devel
Buildrequires:  gettext-devel, cvs
BuildRequires:  ImageMagick
BuildRequires:  desktop-file-utils


%description
Ephoto is an ewl app that is used for sophisticate image viewing.
This package is part of the Enlightenment DR17 desktop shell.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
./autogen.sh
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# %lang(fr) /usr/share/locale/fr/LC_MESSAGES/ephoto.mo
%find_lang %{name}
for mo in `ls %buildroot%_datadir/locale/` ;
do Y=`echo -n $mo | sed -e "s|/||"`;
echo "%lang($Y) $(echo %_datadir/locale/${mo}/LC_MESSAGES/%{name}.mo)" >> $RPM_BUILD_DIR/%{name}-%{version}/%{name}.lang
done

mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):\
        needs="X11" \
        section="Multimedia/Graphics" \
        title="Ephoto" \
        longtitle="Ephoto Image Viewer/Editor/Manipulator/Slideshow creator" \
        command="%{_bindir}/ephoto" \
        icon="ephoto.png" \
        startup_notify="true" \
        xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cp -vf %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/applications/

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/%name.desktop

mkdir -p %buildroot{%_liconsdir,%_iconsdir,%_miconsdir}
install -m 644 data/images/emblem-photos.png %buildroot%_liconsdir/ephoto.png
convert -resize 32x32 data/images/emblem-photos.png %buildroot%_iconsdir/ephoto.png
convert -resize 16x16 data/images/emblem-photos.png %buildroot%_miconsdir/ephoto.png

mkdir -p %buildroot%{_datadir}/pixmaps
cp data/images/emblem-photos.png %buildroot%{_datadir}/pixmaps/ephoto.png

%post 
%{update_menus} 

%postun 
%{clean_menus} 


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/*
%{_datadir}/%name
%{_menudir}/*
%_liconsdir/*.png
%_iconsdir/*.png
%_miconsdir/*.png
%_datadir/pixmaps/*.png
%{_datadir}/applications/*



%changelog
* Fri Jun 01 2007 Antoine Ginies <aginies@mandriva.com> 2.15.0-5mdv2008.0
+ Revision: 33670
- move to Graphics group
- ?\195?\169fix specfile

* Fri May 25 2007 Antoine Ginies <aginies@mandriva.com> 2.15.0-3mdv2008.0
+ Revision: 31172
- fix desktop file
- add desktop file

* Fri May 25 2007 Antoine Ginies <aginies@mandriva.com> 2.15.0-2mdv2008.0
+ Revision: 31083
- CVS snapshot 20070525

* Fri May 25 2007 Antoine Ginies <aginies@mandriva.com> 2.15.0-1mdv2008.0
+ Revision: 31016
- add BuildRequires: ImageMagick
- add edje buildrequires
- adjust buildrequires
- add cvs buildrequires
- add gettext-devel buildrequires
- fix buildrequires (exif-gtk5-devel)
- CVS snaphot 20070524, add menu entry, add lang, remove cvs release, adjust buildrequires
- Import ephoto



* Tue Mar 28 2006 Austin Acton <austin@mandriva.org> 0.15.0-0.20060323.1mdk
- initial package
